## kdeclarative 5.116.0+p24.04+vstable+git20251015.1137

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20251015.1137-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:37:31 +0000

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libepoxy-dev,
               libkf5config-dev (>= 5.51.0~),
               libkf5globalaccel-dev (>= 5.51.0~),
               libkf5guiaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.51.0~),
               libkf5notifications-dev,
               libkf5package-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.6),
               qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
Vcs-Git: https://invent.kde.org/neon/kde/kdeclarative.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeclarative
Maintainer: Neon CI <neon@kde.org>

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).
Breaks: kirigami-gallery (<< 5.49)

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-framework (<< 5.51)
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.51.0~),
         libkf5package-dev (>= 5.51.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         qtdeclarative5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5declarative-doc (= ${source:Version})
Breaks: libkf5declarative-doc (<< 5.61.90-0)
Replaces: libkf5declarative-doc (<< 5.61.90-0)
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.51),
        plasma-framework (<< 5.51)
Recommends: kpackagelauncherqml
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.
Breaks: libkf5kcmutils5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        plasma-framework (<< 5.51)

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.51),
         qml-module-qtqml,
         ${misc:Depends},
         ${shlibs:Depends}
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
Breaks: plasma-framework (<< 5.51)

Package: qml-module-org-kde-graphicaleffects
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-framework (<< 5.51),
        qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5purpose-bin (<< 5.51),
        libkf5purpose5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kirigami2 (<< 5.44),
        qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

Package: qtdeclarative5-kf5declarative
Section: oldlibs
Priority: optional
Architecture: all
Depends: qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: transitional package for new QML module packages
 This is a transitional dummy package for the new QML module packages
 provided by kf5declarative, which can be safely removed.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kdeclarative-([\d.]+)\.tar\.xz

## kdeclarative 5.116.0+p24.04+vstable+git20251020.0313

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KDeclarative VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)


if(NOT WIN32)
    find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()
#########################################################################

#add_definitions(-Wno-deprecated)

# Includes

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXAMPLES "Build and install examples." OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  SOVERSION 5)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative5\")
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ki18n_install(po)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(epoxy)
    set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
        URL "https://github.com/anholt/libepoxy"
        TYPE OPTIONAL
        PURPOSE "OpenGL dispatch library"
    )
endif()
set(HAVE_EPOXY 0)
if(epoxy_FOUND)
    set(HAVE_EPOXY 1)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Declarative")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Declarative_QCH
        FILE KF5DeclarativeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DeclarativeQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5DeclarativeTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
  message("Dependencies for libkdeclarative found: it will be built")
else()
  message("In order to build libkdeclarative you need KF5Config, KF5I18n, KF5IconThemes and KF5KIO")
endif()

if(KF5I18n_FOUND AND KF5WidgetsAddons_FOUND AND KF5WindowSystem_FOUND AND KF5KIO_FOUND AND KF5GuiAddons_FOUND)
  message("Dependencies for KQuickControls found: it will be built")
else()
  message("In order to build KQuickControls you need KF5I18n, KF5WidgetsAddons, KF5WindowSystem, KF5GlobalAccel, KF5KIO and KF5GuiAddons")
endif()

if(KF5CoreAddons_FOUND)
  message("Dependencies for KCoreAddons QML bindings found; it will be built")
else()
  message("In order to build KCoreAddons QML bindings you need KCoreAddons")
endif()


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/kdeclarative/CMakeLists.txt ===

set(kdeclarative_SRCS
    configpropertymap.cpp
    configpropertymap.h
    kdeclarative.cpp
    kdeclarative.h
    private/kdeclarative_p.h
    qmlobject.cpp
    qmlobject.h
    qmlobjectsharedengine.cpp
    qmlobjectsharedengine.h

)
if(NOT ANDROID)
    list(APPEND kdeclarative_SRCS private/kioaccessmanagerfactory.cpp private/kioaccessmanagerfactory_p.h)
endif()

add_library(KF5Declarative ${kdeclarative_SRCS})
add_library(KF5::Declarative ALIAS KF5Declarative)
ecm_generate_export_header(KF5Declarative
    EXPORT_FILE_NAME ${KDeclarative_BINARY_DIR}/kdeclarative/kdeclarative_export.h
    BASE_NAME KDeclarative
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.45 5.75 5.91 5.95 5.98 5.100
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

# Apps must include <KDeclarative/File> or <kdeclarative/file.h>
target_include_directories(KF5Declarative INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>")

target_link_libraries(KF5Declarative
  PUBLIC
    KF5::ConfigCore # KCoreConfigSkeleton, in ConfigPropertyMap
    Qt${QT_MAJOR_VERSION}::Qml
    KF5::Package
  PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick  #QQuickImageProvider
    KF5::I18n       #i18n bindings
    KF5::KIOWidgets     #KIO::Integration::AccessManager
    KF5::IconThemes #KIconProvider
)
set(KDeclarative_BUILD_INCLUDE_DIRS ${KDeclarative_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5Declarative PUBLIC "$<BUILD_INTERFACE:${KDeclarative_BUILD_INCLUDE_DIRS}>")

set_target_properties(KF5Declarative
  PROPERTIES VERSION ${KDECLARATIVE_VERSION}
  SOVERSION ${KDECLARATIVE_SOVERSION}
  EXPORT_NAME Declarative
)

# Install files
ecm_generate_headers(KDeclarative_CamelCase_HEADERS
  HEADER_NAMES
  KDeclarative
  QmlObject
  QmlObjectSharedEngine
  ConfigPropertyMap

  PREFIX KDeclarative
  REQUIRED_HEADERS KDeclarative_HEADERS
)
install(FILES ${KDeclarative_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/KDeclarative COMPONENT Devel)

install(TARGETS KF5Declarative
  EXPORT KF5DeclarativeTargets
  ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${KDeclarative_BINARY_DIR}/kdeclarative/kdeclarative_export.h
  ${KDeclarative_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/kdeclarative
  COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(KDeclarative_QCH_SOURCES ${KDeclarative_HEADERS} PARENT_SCOPE)
set(KDeclarative_QCH_INCLUDE_DIRS ${KDeclarative_BUILD_INCLUDE_DIRS} PARENT_SCOPE)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDeclarative LIB_NAME KF5Declarative DEPS "qml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20251020.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:13:21 +0000

## kdeclarative 5.116.0+p24.04+vstable+git20251112.0021

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20251112.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 00:21:33 +0000

## kdeclarative 5.116.0+p24.04+vstable+git20251124.0818

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20251124.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 08:18:35 +0000

## kdeclarative 5.116.0+p24.04+vstable+git20251226.0236

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20251226.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:36:44 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20250831.2330

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20250831.2330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:30:45 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20251015.1529

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20251015.1529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:29:11 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20251020.1109

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20251020.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:09:48 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20251111.0340

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20251111.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:40:51 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20251124.0940

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20251124.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:40:28 +0000

## kdeclarative 5.116.0+p24.04+vunstable+git20251224.0920

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vunstable+git20251224.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:20:50 +0000
